#version 300 es
#extension all : warn

#pragma STDGL
#pragma optimize(on)
#pragma debug(on)

/* Precison */
precision highp float;
precision mediump int;
precision lowp samplerCube;

/* Uniform */
uniform samplerCube texture2;

/* In */
in vec3 texCoord2;

/* Out */
out vec4 outColor;

/* Main */
void main(void)
{
	outColor = vec4(0.5, 0.5, 0.5, 0.5) + texture(texture2, texCoord2);
}
